/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.htmlcheck;

public final class MarkupData
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private String m_prefix;
  private String m_opentag;
  private String m_body;
  private String m_closetag;
  private String m_suffix;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public MarkupData(String prefix, String opentag, String body, String closetag, String suffix)
  {
    m_prefix = prefix;
    m_opentag = opentag;
    m_body = body;
    m_closetag = closetag;
    m_suffix = suffix;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Public getters
   *--------------------------------------------------------------------------------
   */

  public String getPrefix()
  {
    return m_prefix;

  } // end getPrefix

  public String getOpenTag()
  {
    return m_opentag;

  } // end getOpenTag

  public String getBody()
  {
    return m_body;

  } // end getBody

  public String getCloseTag()
  {
    return m_closetag;

  } // end getCloseTag

  public String getSuffix()
  {
    return m_suffix;

  } // end getSuffix

  public int getTotalLength()
  {
    int rc = 0;
    if (m_prefix!=null)
      rc += m_prefix.length();
    if (m_body!=null)
      rc += m_body.length();
    if (m_suffix!=null)
      rc += m_suffix.length();
    return rc;

  } // end getTotalLength

} // end class MarkupData
